<template>
  <div>
    <ul class="collapsible">
      <template v-for="(filter, index) in filters">
        <li :key="index">
          <div class="collapsible-header" @click="show(filter, filters)">
            <i v-if="!filter.selected" class="material-icons">keyboard_arrow_up</i>
            <i v-else class="material-icons">keyboard_arrow_down</i>
            {{filter.type}}
          </div>
          <div v-if="filter.last != true">
            <div :class="[{mostrar:filter.selected},'collapsible-body']">
              <template v-for="(subCat, index) in filter.subCategories">
                <li :key="index">
                  <div
                    class="collapsible-header"
                    @click="show(subCat, filter.subCategories)"
                    style="padding-left:30px;"
                  >
                    <i v-if="!subCat.selected" class="material-icons">keyboard_arrow_up</i>
                    <i v-else class="material-icons">keyboard_arrow_down</i>
                    {{subCat.type}}
                  </div>
                  <div :class="[{mostrar:subCat.selected},'collapsible-body']">
                    <template v-for="(subCat2, index) in subCat.subCategories">
                      <li :key="index">
                        <div
                          class="collapsible-header"
                          @click="show(subCat2, subCat.subCategories)"
                          style="padding-left:60px;"
                        >
                          <i v-if="!subCat2.selected" class="material-icons">keyboard_arrow_up</i>
                          <i v-else class="material-icons">keyboard_arrow_down</i>
                          {{subCat2.type}}
                        </div>
                        <div :class="[{mostrar:subCat2.selected},'collapsible-body']">
                          <template v-for="(subCat3, index) in subCat2.subCategories">
                            <ul :key="index" class="collection">
                              <li :class="['collection-item']">
                                <div class="left valign-wrapper" style="padding-left:90px;cursor:pointer;"  @click="show(subCat3)">
                                  <label class="valign-wrapper">
                                    <input type="checkbox" v-model="subCat3.selected" />
                                    <span></span>
                                  </label>
                                  {{subCat3.type}}
                                </div>
                              </li>
                            </ul>
                          </template>
                        </div>
                      </li>
                    </template>
                  </div>
                </li>
              </template>
            </div>
          </div>
          <div v-else>
            <template v-for="(f, index) in filter.subCategories">
              <ul :key="index" class="collection">
                <li :class="[{active:f.selected},{black:f.selected},'collection-item']">
                  <div @click="show(f,filter.subCategories)">
                    <input type="checkbox" />
                    {{f.type}}
                  </div>
                </li>
              </ul>
            </template>
          </div>
        </li>
      </template>
    </ul>
  </div>
</template>
<script>
export default {
  props: ["filters"],
  methods: {
    print(msg) {
      console.log(msg);
    },
    show(filter) {
      filter.selected = !filter.selected;
    }
  }
};
</script>
<style scoped>
.mostrar {
  display: block;
}
.collapsible-body {
  padding: 10px;
  padding-left: 0px;
  padding-right: 0px;
}
</style>